> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record a meter event

> Records a single usage event against a named meter.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/sdk/meter-events
openapi: 3.0.0
info:
  contact: {}
  description: The SolvaPay REST API specification
  title: SolvaPay REST API
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /v1/sdk/meter-events:
    post:
      tags:
        - Meter Events
      summary: Record a meter event
      description: Records a single usage event against a named meter.
      operationId: MeterEventsSdkController_recordEvent
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordMeterEventZodDto'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  success:
                    example: true
                    type: boolean
                type: object
          description: Event recorded
        '400':
          description: Invalid meter name or meter is archived
        '404':
          description: Customer not found
      security:
        - SecretKey: []
components:
  schemas:
    RecordMeterEventZodDto:
      properties:
        customerRef:
          maxLength: 20
          minLength: 1
          type: string
        meterName:
          minLength: 1
          type: string
        productRef:
          maxLength: 20
          type: string
        properties:
          additionalProperties: true
          type: object
        timestamp:
          type: string
        value:
          type: number
      required:
        - meterName
        - customerRef
        - properties
      type: object
  securitySchemes:
    SecretKey:
      bearerFormat: JWT
      description: >-
        Provider secret API key (sk_live_… / sk_test_…) supplied as a Bearer
        token.
      scheme: bearer
      type: http

````